/*  Copyright (C) 2009, Jean-Baptiste LANGLOIS

    This program is free software: you can redistribute it and/or modify
    it under the terms of the GNU General Public License version 2
    as published by the Free Software Foundation.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program.  If not, see <http://www.gnu.org/licenses/>.*/

using System;
using System.Collections.Generic;
using System.Text;

namespace System.Json
{
    /// <summary>
    /// Defines a node of a deserialized JSON file
    /// </summary>
    /// <seealso cref="JsonAttributes"/>
    public class JsonData
    {
        private string name = null;
        private object val = null;
        private JsonType type;

        /// <summary>
        /// Constructor of the JsonData class
        /// </summary>
        public JsonData()
        {

        }

        /// <summary>
        /// Name of the node
        /// </summary>
        public string Name
        {
            get
            {
                return name;
            }
            set
            {
                name = value;
            }
        }

        /// <summary>
        /// Value of the node
        /// </summary>
        public object Value
        {
            get
            {
                return val;
            }
            set
            {
                val = value;
            }
        }

        /// <summary>
        /// Type of the node
        /// </summary>
        public JsonType Type
        {
            get
            {
                return type;
            }
            set
            {
                type = value;
            }
        }
    }
}