/*  Copyright (C) 2009, Jean-Baptiste LANGLOIS

    This program is free software: you can redistribute it and/or modify
    it under the terms of the GNU General Public License version 2
    as published by the Free Software Foundation.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program.  If not, see <http://www.gnu.org/licenses/>.*/

using System;
using System.Collections.Generic;
using System.Text;

namespace System.Json
{
    /// <summary>
    /// Warn user if the JSON file is incorrect
    /// </summary>
    /// <seealso cref="JsonAttributes"/>
    public class JsonFormatException : Exception
    {
        private int cara;

        /// <summary>
        /// Contructor of the JsonFormatException class
        /// </summary>
        /// <param name="message">Text to indicate where the error is</param>
        /// <param name="chr">Position of the error</param>
        public JsonFormatException(string message, int chr)
            : base(message)
        {
            this.cara = chr;
        }

        /// <summary>
        /// Position of the error
        /// </summary>
        public int CharacterPosition
        {
            get { return this.cara; }
        }

    }
}